Skip to content
Guides
API reference
stablesettings:read

Get shipping rate

Get a shipping rate by ID

GET/v1/shipping/rates/{id}

Get a shipping rate by ID

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/shipping/rates/string"
{  "id": "string",  "storeId": "string",  "sellerId": null,  "shippingMethodId": "string",  "type": "flat",  "price": null,  "currency": "string",  "minOrderPrice": null,  "maxOrderPrice": null,  "postalCodes": [    "string"  ],  "isActive": true,  "description": null,  "discountPercentage": null,  "zoneCode": null,  "minWeight": 0.1,  "maxWeight": null,  "minValue": 0.1,  "maxValue": null,  "basePrice": 0.1,  "pricePerKg": 0.1,  "pricePerUnit": 0.1,  "taxIncluded": null,  "surcharge": null,  "deliveryLocationId": null,  "deliveryLocationName": null,  "deliveryLeadTimeInMinutes": null,  "deliveryMinHours": null,  "deliveryMaxHours": null,  "metadata": {},  "createdOn": "2019-08-24T14:15:22Z",  "updatedOn": null}